### hs_office_debitor RBAC Roles

```mermaid
flowchart TB

subgraph partnerRelationship[hsOfficeRelationship:PARTNER]
    direction TB
    style partnerRelationship fill:#eee
    
    role:partnerRelationship.owner[relationship.owner]
    --> role:partnerRelationship.admin[relationship.admin]
    --> role:partnerRelationship.agent[relationship.agent]
    --> role:partnerRelationship.tenant[relationship.tenant]

    partnerPersonAdmin>e.g. partnerPerson.admin]  --> role:partnerRelationship.agent
    otherPersonAdmin>e.g. operationalPerson.admin] --> role:partnerRelationship.tenant
    role:partnerRelationship.tenant --> partnerPersonReferrer>e.g. partnerPerson.referrer]
end

subgraph internal[ ]
    direction TB
    style internal fill:#fff

    subgraph refundBankAccount
        direction TB
        style refundBankAccount fill:#eee
        
        role:refundBankAccount.owner[bankAccount.owner]
        --> role:refundBankAccount.admin[bankAccount.admin]
        --> role:refundBankAccount.referrer[bankAccount.referrer]
    end


    subgraph debitorRelationship[hsOfficeRelationship:DEBITOR]
        direction TB
        style debitorRelationship fill:#eee
        
        role:debitorRelationship.owner[relationship.owner]
        --> role:debitorRelationship.admin[relationship.admin]
        --> role:debitorRelationship.agent[relationship.agent]
        --> role:debitorRelationship.tenant[relationship.tenant]
    end

    subgraph debitor
        direction TB
        
        role:debitorRelationship.owner[debitorRelationship.owner]
        %% permissions
            ==> perm:debitor.*{{debitor.*}}

        role:debitorRelationship.admin[debitorRelationship.admin]
        %% permissions
            ==> perm:debitor.edit{{debitor.edit}}
        %% incoming        
            role:partnerRelationship.admin ==> role:debitorRelationship.admin
        %% outgoing
            role:debitorRelationship.admin ==> role:partnerRelationship.agent

        role:debitorRelationship.agent[debitorRelationship.agent]
        %% incoming
            role:partnerRelationship.agent ==> role:debitorRelationship.agent
            role:refundBankAccount.admin ==> role:debitorRelationship.agent
        %% outgoing
            role:debitorRelationship.agent ==> role:partnerRelationship.tenant
            role:debitorRelationship.agent ==> role:refundBankAccount.referrer
        
        role:debitorRelationship.tenant[debitorRelationship.tenant]
        ==> perm:debitor.view{{debitor.view}}
        
    end

end
```

